/* structs.h structure and external definitions */

extern struct RastPort *rp;
extern struct Window *mywindow;
extern struct ViewPort *vp;
extern struct Screen *myscreen;
extern struct BitMap *sbitmap;
extern struct BitMap tbitmap;
extern struct BitMap ibitmap;
extern struct BitMap mbitmap;
extern int bw;
extern int maxsize, maskw, maskh;
extern int bgcolor;
extern UWORD colortable[];

#define WOFFSET		200
#define HEIGHT		400
#define SMHEIGHT	200
#define WIDTH		192

void readballs();
void checkextent();
void initsin();
void isin();
void initrender();
void render();
void showballs();
void scrollx();
void scrolly();
void scrollz();
void mbutton();
void mmove();
void flip();
void renderball();

void panic();
void cleanup();
void setbw();
void dodefault();

void setcolor();
void dolast();

void BltBitMask();
void mywritepixel1();
void mywritepixel();
void myblank();
void mylinecopy();
void myblankc();
int match();
